UPGRADEPKG(8)

NOME
upgradepkg - aggiorna i pacchetti Slackware.

SINOSSI
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] nuovonomepacchetto [nuovonomepacchetto2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] vecchionomepacchetto%nuovonomepacchetto [vecchio2%nuovo2]

DESCRIZIONE
upgradepkg aggiorna un pacchetto Slackware da una vecchia versione a una nuova. Installa il nuovo pacchetto e rimuove ogni file del vecchio pacchetto che non è presente in quello nuovo. Se il vecchio e il nuovo pacchetto hanno lo stesso nome, un singolo argomento è tutto cio' che è richiesto. Se i pacchetti hanno nomi diversi, dai il nome del vecchio pacchetto seguito dal simbolo di percentuale (%), poi il nome del nuovo pacchetto. Non aggiungere ulteriori spazi bianchi tra la coppie vecchio/nuovo pacchetto. Se upgradpkg trova che piu' di uno pacchetto installato indentifica il nome del vecchio pacchetto, allora saranno tutti rimossi.

Per aggiornare in una cartella diversa da / (ad esempio /mnt):

ROOT=/mnt upgradepkg package.tgz (o .tbz, .tlz, .txz)

OPZIONI

--dry-run
    Visualizza tutti i pacchetti che dovrebbero essere installati o aggiornati ma senza aver fatto l'aggiornamento.

--install-new
    Normalmente upgradepkg aggiorna solo i pacchetti che sono già installati sul sistema, e salterà ogni pacchetto che non ha già una versione installata. Se viene specificata l'opzione --install-new, il comportamento è modificato per installare nuovi pacchetti in aggiunta all'aggiornamento di quelli esistenti.

--reinstall
    Upgradepkg di solito salta quei pacchetti il cui il nome esatto (riferito al nome, versione, architettura e numero di build) è già installato sul sistema. Usa l'opzione --reinstall se vuoi aggiornare tutti pacchetti anche se la stessa versione è già installata.

--verbose
    Mostra tutti i dettagli dell'aggiornamento.

BACHI
Prima di aggiornare un pacchetto, salve ogni file di configurazione (quelli sotto /etc) che vuoi tenere. DI solito sono preservati, ma dipende dalla struttura del pacchetto. Se tu vuoi forzare l'installazione di nuovi file di configurazione, rimuovi quelli vecchi manualmente prima di eseguire upgradepkg.

AUTORE
Patrick J. Volkerding <volkerdi@slackware.com>

VEDI ANCHE
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)